package com.reyun.saas.mob.user.service;

import com.reyun.saas.common.restResult.PageParam;
import com.reyun.saas.common.restResult.RestResult;
import com.reyun.saas.mob.user.vo.WarningConfigParam;
import com.reyun.saas.mob.user.vo.WarningConfigVO;

public interface WarningConfigService {
    RestResult findColumnCode(String os);

    RestResult create(WarningConfigVO warningConfigVO, String type, Long loginUserId);

    RestResult echo(Long id, Long loginUserId);

    RestResult update(WarningConfigVO warningConfigVO, String type, Long loginUserId);

    RestResult listTemplate(PageParam pageParam, WarningConfigParam warningConfigParam, Long loginUserId);

    RestResult listConfig(PageParam pageParam, WarningConfigParam warningConfigParam, Long loginUserId);

    RestResult delete(String ids, Long loginUserId);

    RestResult enable(String ids, Boolean isusing, Long loginUserId);

    RestResult selectTemplate(Long loginUserId, String appkey, String cid, String os);

    RestResult listAnalysis(PageParam pageParam, WarningConfigParam warningConfigParam, Long loginUserId);

    RestResult listAnalysisNextLayer(PageParam pageParam, WarningConfigParam warningConfigParam, Long loginUserId);
}
